| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::AccountInterfaceAddressingInterface Class Reference
Account proxies

`#include <TelepathyQt/AccountManager>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply SetURISchemeAssociation (const QString &URIScheme, bool association, int timeout=-1)

## Public Member Functions

- AccountInterfaceAddressingInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- AccountInterfaceAddressingInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- AccountInterfaceAddressingInterface (Tp::DBusProxy *proxy)
- AccountInterfaceAddressingInterface (const Tp::Client::AccountInterface &mainInterface)
- AccountInterfaceAddressingInterface (const Tp::Client::AccountInterface &mainInterface, QObject *parent)
- Tp::PendingVariant * requestPropertyURISchemes () const
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Account.Interface.Addressing".

## Constructor & Destructor Documentation

Tp::Client::AccountInterfaceAddressingInterface::AccountInterfaceAddressingInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a AccountInterfaceAddressingInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::AccountInterfaceAddressingInterface::AccountInterfaceAddressingInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a AccountInterfaceAddressingInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::AccountInterfaceAddressingInterface::AccountInterfaceAddressingInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a AccountInterfaceAddressingInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::AccountInterfaceAddressingInterface::AccountInterfaceAddressingInterface | ( | const Tp::Client::AccountInterface & | mainInterface | ) | `[explicit]`

Creates a AccountInterfaceAddressingInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::AccountInterfaceAddressingInterface::AccountInterfaceAddressingInterface | ( | const Tp::Client::AccountInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a AccountInterfaceAddressingInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::AccountInterfaceAddressingInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Account.Interface.Addressing", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::AccountInterfaceAddressingInterface::requestPropertyURISchemes | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `URISchemes` of type `QStringList`.

A list of fields indicating the type of URI addressing scheme the the account should be used for (eg 'tel') indicating the account is intended for use by applications offering a telephony UI, or 'sip' or 'xmpp' for those protocols

Note that these fields signify intent, not ability: It is entirely possible that an account which can be used for a given URI scheme is not wanted for it by the user, and therefore not flagged as such in this field.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::AccountInterfaceAddressingInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply Tp::Client::AccountInterfaceAddressingInterface::SetURISchemeAssociation | ( | const QString & | URIScheme,
|  | bool | association,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `SetURISchemeAssociation` on the remote object.

Associate (or disassociate) an account with a particular URI addressing scheme, (such as 'tel' for telephony)

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  URIScheme | URI scheme to associate/disassociate the account with/from
  association | True to associate this account with a given addressing scheme False if the account should not be associated with said scheme
  timeout | The timeout in milliseconds.

void Tp::Client::AccountInterfaceAddressingInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.